### Method

# GdkPixbuf Pixbuf composite_color_simple

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_composite_color_simple (
      const GdkPixbuf* src,
      int dest_width,
      int dest_height,
      GdkInterpType interp_type,
      int overall_alpha,
      int check_size,
      guint32 color1,
      guint32 color2
    )

#### Description [src]

Creates a new pixbuf by scaling `src` to `dest_width` x `dest_height` and alpha blending the result with a checkboard of colors `color1` and `color2`.

#### Parameters

`dest_width` | `int`
| The width of destination image.
`dest_height` | `int`
| The height of destination image.
`interp_type` | `GdkInterpType`
| The interpolation type for the transformation.
`overall_alpha` | `int`
| Overall alpha for source image (0..255)
`check_size` | `int`
| The size of checks in the checkboard (must be a power of two)
`color1` | `guint32`
| The color of check at upper left.
`color2` | `guint32`
| The color of the other check.

#### Return value

Returns: | `GdkPixbuf`
| The new pixbuf.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.